Как установить лазерный принтер Brother HL2270dw?

Как установить лазерный принтер Brother HL2270dw? В Центре программного обеспечения нет драйверов.

  1. Откройте терминал: Ctrl + Alt + T
  2. Загрузите скрипт установки драйвера:

    wget http://download.brother.com/welcome/dlf006893/linux-brprinter-installer-2.0.0-1.gz 
  3. Разархивируйте его:

     gunzip linux-brprinter-installer-2.0.0-1.gz 
  4. Запустите его как root:

     sudo bash linux-brprinter-installer-2.0.0-1 
  5. Введите HL2270-DW качестве «имени модели», затем y для продолжения

  6. Когда его спросят: «Вы укажете DeviceURI?» выберите «Нет» для подключения USB или «Да» для сетевого подключения.

Я знаю, что у тонны людей возникли серьезные проблемы с тем, чтобы этот принтер работал как с ubuntu, так и с монетным двором, поэтому я думал, что пройду это, потому что это довольно безболезненно. Я нашел прикрепленный скрипт (следуя инструкциям) на форуме ubuntu где-нибудь (я забыл, где именно), который работал на меня как на Ubuntu 12.04, так и на Mint Cinnamon 13 (64-разрядные версии). пока принтер уже находится в вашей сети (я установил мой через мой раздел Windows 7), он должен работать. просто скопируйте и вставьте образец кода ниже в пустой текстовый документ и сохраните его как PrinterInstall.sh. Затем запустите приложение из терминала с помощью:

 sudo ./PrinterInstall 

Он может сказать вам, что вам нужен bsdtar для запуска скрипта, просто установите его с помощью:

 sudo apt-get install bsdtar 

а затем снова запустите ./PrinterInstall .

Терминал спросит вас, где находится ваш каталог init.d, – просто проверьте варианты в своем браузере файлов, чтобы подтвердить тот или иной.

Затем включите принтер и запустите с терминала следующее:

 system-config-printer 

Когда откроется графический интерфейс конфигурации, щелкните правой кнопкой мыши на принтере и выберите «свойства». В URI устройства нажмите «изменить» -> сетевой принтер -> выберите первый вариант брата -> примените

это оно!

код сценария ниже:


 #!/bin/bash # Brother HL-2270DW printer install tested on arch and ubuntu 12.04 # https://bbs.archlinux.org/viewtopic.php?id=109570 # https://bugs.gentoo.org/show_bug.cgi?id=285166#c12 # http://github.com/willejos/bash [[ $UID -ne 0 ]] && echo "Must run as root" && exit 1 which bsdtar > /dev/null if [ $? == 1 ]; then echo "you need to install bsdtar before running this script" exit 1; fi which perl > /dev/null if [ $? == 1 ]; then echo "you need to install perl before running this script" exit 1; fi echo -e "\nMake sure cups is running before proceeding...\n" read -p "Hit any button to continue." -n 1 echo -e "\n\nWhere's your init script directory?" echo -e "1. /etc/init.d/\n2. /etc/rc.d/" read -p "(Select 1 or 2): " INIT_DIR while [[ $INIT_DIR != 1 && $INIT_DIR != 2 ]]; do read -p "Where's your init script directory? (choose 1 or 2): " INIT_DIR done START_DIR=$(pwd) mkdir br_tmp && cd br_tmp wget http://www.brother.com/pub/bsc/linux/dlf/hl2270dwlpr-2.1.0-1.i386.rpm wget http://www.brother.com/pub/bsc/linux/dlf/cupswrapperHL2270DW-2.0.4-2.i386.rpm if [[ ! -f hl2270dwlpr-2.1.0-1.i386.rpm || ! -f cupswrapperHL2270DW-2.0.4-2.i386.rpm ]]; then echo -e "One or both files not found: \n hl2270dwlpr-2.1.0-1.i386.rpm \n cupswrapperHL2270DW-2.0.4-2.i386.rpm \n\n Was there a problem with the download?" exit 1; fi # extract and check directories exist bsdtar -xf hl2270dwlpr-2.1.0-1.i386.rpm bsdtar -xf cupswrapperHL2270DW-2.0.4-2.i386.rpm HL_DIR=""$START_DIR"/br_tmp/usr/local/Brother/Printer/HL2270DW/inf/" CUPS_DIR=""$START_DIR"/br_tmp/usr/local/Brother/Printer/HL2270DW/cupswrapper/" if [[ ! -d "$HL_DIR" || ! -d "$CUPS_DIR" ]]; then echo "rpm extraction failed" exit 1 fi # in-place edit files cd "$HL_DIR" perl -pi -e 's/printcap.local/printcap/g' setupPrintcap2 if [ "$INIT_DIR" == "2" ]; then cd "$CUPS_DIR" perl -pi -e 's/init.d/rc.d/g' cupswrapperHL2270DW-2.0.4 fi # copy files to system and install cupswrapper cd "$START_DIR"/br_tmp/ cp -ri usr/* /usr/ cp -ri var/* /var/ cd ../ && rm -rf br_tmp echo -e "If I hang here, be patient....\n" /usr/local/Brother/Printer/HL2270DW/cupswrapper/cupswrapperHL2270DW-2.0.4 || exit 1 echo -e "\nNext steps: " echo "Make sure printer shows up in cups config @ http://127.0.0.1:631" echo "Edit /etc/cups/printers.conf and change the DeviceURI from 'usb:xxxxx' to 'file:///dev/usb/lp0′ (or usb/lp1 or whatever exists, no quotes)." echo -e "Restart cups\n" 

У меня есть сообщение в блоге о том, как установить принтер для беспроводной печати Wi-Fi в Ubuntu 12.04 64 бит. Обратите внимание, что моя версия специфична и проверена только для 64-разрядной версии Ubuntu. Брат не включает 64-битные драйверы для драйверов HL-2270DW, но я исправил драйверы, чтобы заставить их работать с 64-разрядной версией. Патчавые драйверы предоставляют доступ ко всем функциям принтера. Ссылка: http://chadchenault.blogspot.com/2012/05/brother-hl-2270dw-printer-driver.html

шаги:

1. Загрузите исправленные драйверы для работы с 64-разрядным ubuntu по ссылке выше. Вы также можете исправить их самостоятельно, используя командную строку и инструкции на веб-сайте Brother.
2. Откройте окно терминала «ctrl + alt + t»
3. перейдите в каталог, куда загружаются файлы, загруженные
4. Введите следующие две команды из окна терминала.

 sudo dpkg -i --force-all hl2270dwlpr-2.1.0-1a.i386.deb<code> sudo dpkg -i --force-all cupswrapperHL2270DW-2.0.4-2a.i386.deb<code> 

Теперь печать USB должна работать. Если вы хотите настроить Wi-Fi или Ethernet-печать, вам необходимо настроить CUPS. У меня есть инструкции с картинками в моем блоге.

Ответ Эрика Карвалью работал отлично, с одним квалификатором: место загрузки не работало для меня. Похоже, что брат реорганизовал свои загрузки. Первым моим шагом было вручную загрузить, начиная с сайта поддержки Brother:

–go to brother.com (для меня это перенаправляется на brother-usa.com) –click Support -enter HL-2270DW в номере модели, затем нажмите «Поиск» – «Загрузки и драйверы», нажмите «Загрузка» из нашего центра решений »- выберите ОС (linux) и версию (deb) – щелкните на инструменте установки драйвера – лицензионное соглашение

Это крошечный файл, поэтому для загрузки не потребуется никакого времени.

Теперь разархивируйте и запустите сценарий, как указал г-н Карвалью. Отлично работал для меня.

Он ждет, когда вы specify the Device URI? , и предлагая вам выбрать из 11 способов узнать, как принтер может быть подключен. Он думает, что вам понадобится выбор 11 (A): Auto. (usb://dev/usblp0) 11 (A): Auto. (usb://dev/usblp0) , поэтому он предварительно заполнил поле и ждет, пока вы не нажмете Enter, чтобы принять выбор 11 , или укажите свой собственный, и нажмите Enter . Если ваш принтер подключен через USB, 11 (A): Auto. (usb://dev/usblp0) 11 (A): Auto. (usb://dev/usblp0) – это тот выбор, который вы хотите.

Вот мои примечания по установке под 14.04 (64-разрядная версия). Я не знаю, что все эти шаги необходимы. Я установил его как сетевой принтер.

Я запустил сценарий из Brother: linux-brprinter-installer-2.0.0-1

в загруженном файле: linux-brprinter-installer-2.0.0-1.gz с сайта support.brother.com. Казалось, что он успешно работает и устанавливает различные пакеты.

На их сайте есть еще два файла, которые я загрузил:

  • cupswrapperHL2270DW-2.0.4-2a.i386.deb

  • hl2270dwlpr-2.1.0-1a.i386.deb

Я использовал synaptic, чтобы проверить, установлены ли они по сценарию выше.

cupswrapperHL2270DW-2.0.4-2 отображается как установленный.

Использовал программный центр для установки версии «a» и пакетов hl2270 * a.i386.deb.

Я установил его, несмотря на то, что программный центр предупреждает, что он «плохого качества».

Перезагрузите компьютер и выключите / выключите принтер.

Используемые системные настройки> Принтеры> Добавить принтер> Сетевой принтер

Нажатие кнопки «Поиск» (с пустым хостом) вызывает два брата HL-2270DW, один имеет IP-адрес.

Для этого в описании говорится, что сетевой принтер AppSocket / JetDirect через DNS-SD

Другой говорит, что сетевой принтер LPD с хостом BRW008092BA5199 и Queue Binary_P1

Я пытаюсь один с IP-адресом. Теперь под драйверами принтера у меня есть HL-2270DW для CUPS, которого у меня раньше не было.

Выбор этого. Страница испытаний работала.

Эти заметки работают с Kubuntu и Linux Mint 17.1.

Получите пакеты brgenml1lpr-3.1.0-1.i386.deb и brgenml1cupswrapper-3.1.0-1.i386.deb с http://support.brother.com/g/b/downloadlist.aspx?c=us&lang=en&prod = hl2270dw_all & OS = 128

 sudo apt-get install apparmor-profiles lib32z1 sudo dpkg -i ~/packages/brother_printer/brgenml1lpr-3.1.0-1.i386.deb sudo dpkg -i ~/packages/brother_printer/brgenml1cupswrapper-3.1.0-1.i386.deb 

теперь используйте окно конфигурации принтера KDE или Mint / Gnome, чтобы удалить автоматически установленный USB-принтер, которого не существует, затем установите HL-2270DW с помощью драйвера BrGenML1.

Принтер должен быть автоматически обнаружен. Если не попробовать использовать URI, перечисленные ниже.

установите дуплекс DuplexNoTumble для печати на обеих сторонах страницы, перевернув на длинный край

URI: lpd: // (IP-адрес принтера) / binary_p1

Я пробовал инструкции в начале этого сообщения, но когда я дошел до конца, т.е. когда спросил: «Будете ли вы указывать DeviceURI?» выберите «Нет» для подключения USB или «Да» для сетевого подключения. Мне был предоставлен список из 11 URI на выбор, ни один из которых не имел для меня никакого смысла как неофитских пользователей Ubuntu. Смотри ниже:

 Will you specify the Device URI? [Y/n] ->Y 0: socket 1: http 2: ipp 3: https 4: ipps 5: lpd 6: ipp14 7: hp 8: hpfax 9: smb 10 (I): Specify IP address. 11 (A): Auto. (usb://dev/usblp0) select the number of destination Device URI. ->11 

Похоже, что эти инструкции закончились в середине потока, и поэтому я не могу продолжить.

Боб Томсон Оттава Канада